<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Material description</TITLE>
<META NAME="description" CONTENT="Material description">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="previous" HREF="node342.html">
<LINK REL="up" HREF="node336.html">
<LINK REL="next" HREF="node344.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html5357"
  HREF="node344.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html5353"
  HREF="node336.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html5349"
  HREF="node342.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html5355"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html5358"
  HREF="node344.html">Expansion of the one-dimensional</A>
<B> Up:</B> <A NAME="tex2html5354"
  HREF="node336.html">Reading the step input</A>
<B> Previous:</B> <A NAME="tex2html5350"
  HREF="node342.html">Sets</A>
 &nbsp; <B>  <A NAME="tex2html5356"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H3><A NAME="SECTION000102700000000000000">
Material description</A>
</H3>

<P>
The size of the fields reserved for material description is governed by the
scalars nmat_, nmat, ncmat_, ntmat_ and npmat_. Their meaning:

<P>

<UL>
<LI>nmat_: upper estimate of the number of materials
</LI>
<LI>nmat: actual number of materials
</LI>
<LI>ncmat_: maximum number of (hyper)elastic constants at any temperature
  for any material
</LI>
<LI>ntmat_: maximum number of temperature data points for any material
  property for any material
</LI>
<LI>npmat_: maximum number of stress-strain data points for any temperature
  for any material for any type of hardening (isotropic or kinematic)
</LI>
</UL>

<P>
An elastic material is described by the two-dimensional integer field nelcon
and three-dimensional real field elcon. For material i, nelcon(1,i) contains
for linear elastic materials the number of elastic constants. For hyperelastic
materials and the elastic regime of viscoplastic materials nelcon(1,i)
contains an integer code uniquely identifying the material. The code reads a
follows:

<P>

<UL>
<LI>-1: Arruda-Boyce                                  
</LI>
<LI>-2: Mooney-Rivlin                                 
</LI>
<LI>-3: Neo-Hooke                                     
</LI>
<LI>-4: Ogden (N=1)                                   
</LI>
<LI>-5: Ogden (N=2)                                   
</LI>
<LI>-6: Ogden (N=3)                                   
</LI>
<LI>-7: Polynomial (N=1)                              
</LI>
<LI>-8: Polynomial (N=2)                              
</LI>
<LI>-9: Polynomial (N=3)                              
</LI>
<LI>-10: Reduced Polynomial (N=1)                     
</LI>
<LI>-11: Reduced Polynomial (N=2)                     
</LI>
<LI>-12: Reduced Polynomial (N=3)                     
</LI>
<LI>-13: Van der Waals (not implemented yet)          
</LI>
<LI>-14: Yeoh                                         
</LI>
<LI>-15: Hyperfoam (N=1)                              
</LI>
<LI>-16: Hyperfoam (N=2)                              
</LI>
<LI>-17: Hyperfoam (N=3)                              
</LI>
<LI>-50: deformation plasticity                       
</LI>
<LI>-51: incremental plasticity (no viscosity)        
</LI>
<LI>-52: viscoplasticity                              
</LI>
<LI><B><IMG
 WIDTH="70" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img1653.png"
 ALT="$ &lt;$"></B> -100: user material routine with -kode-100 user    
               defined constants with keyword *USER MATERIAL
</LI>
</UL>

<P>
Notice that elconloc is also used to store

<P>

<UL>
<LI>user-defined constants for user-defined materials
</LI>
<LI>the creep constants for isotropic viscoplastic materials (after the two
  elastic constants).
</LI>
</UL>

<P>
Entry nelcon(2,i) contains the number of temperature
points for material i.

<P>
The field elcon is used for the storage of the elastic constants: elcon(0,j,i)
contains the temperature at the (hyper)elastic temperature point j of material
i, elcon(k,j,i) contains the (hyper)elastic constant k at temperature point j
of material i. Notice that the first index of field elcon starts at zero.

<P>
Suppose only one material is defined:

<P>
<PRE>
*MATERIAL,NAME=EL
*ELASTIC
210000.,.3,293.
200000.,.29,393.
180000.,.27,493.
</PRE>

<P>
then the fields nelcon and elcon look like:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\text{nelcon}=\begin{bmatrix} 2 & 3 \end{bmatrix},
\text{elcon}(*,*,1)=\begin{bmatrix} 293. & 393. & 493. \\210000. & 200000. & 180000
\\.3 & .29 & .27  \end{bmatrix},
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER">nelcon<IMG
 WIDTH="81" HEIGHT="188" ALIGN="MIDDLE" BORDER="0"
 SRC="img1687.png"
 ALT="$\displaystyle =\begin{bmatrix}2 &amp; 3 \end{bmatrix},$">&nbsp; &nbsp;elcon<IMG
 WIDTH="73" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img1688.png"
 ALT="$\displaystyle (*,*,1)=\begin{bmatrix}293. &amp; 393. &amp; 493. \\ 210000. &amp; 200000. &amp; 180000 \\ .3 &amp; .29 &amp; .27 \end{bmatrix},$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(442)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
and nmat=1, ntmat_ = 3, ncmat_=2. 

<P>
Other material properties are stored in a very similar way. The expansion
coefficients are stored in fields nalcon and alcon, the conductivity
coefficients in fields ncocon and cocon. The density and specific heat are
stored in fields nrhcon, rhcon, nshcon and shcon, respectively. Furthermore,
the specific gas constant is also stored in shcon. The fields
nrhcon and nshcon are only one-dimensional, since there is only one density
and one specific heat constant per temperature per material (the specific gas
constant is temperature independent). 

<P>
The isotropic hardening curves for viscoplastic materials are stored in the
two-dimensional integer field nplicon and the three-dimensional real field
plicon. The entry nplicon(0,i) contains the number of temperature data points
for the isotropic hardening definition of material i, whereas nplicon(j,i)
contains the number of stress-strain data points at temperature point j of
material i. Entry plicon(2*k-1,j,i) contains the stress corresponding to
stress-plastic strain data point k at temperature data point j of material i,
plicon(2*k,j,i) contains the plastic strain corresponding to stress-plastic
strain data point k at temperature data point j of material i. Similar
definitions apply for the kinematic hardening curves stored in nplkcon and
plkcon. 

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html5357"
  HREF="node344.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html5353"
  HREF="node336.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html5349"
  HREF="node342.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html5355"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html5358"
  HREF="node344.html">Expansion of the one-dimensional</A>
<B> Up:</B> <A NAME="tex2html5354"
  HREF="node336.html">Reading the step input</A>
<B> Previous:</B> <A NAME="tex2html5350"
  HREF="node342.html">Sets</A>
 &nbsp; <B>  <A NAME="tex2html5356"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
